
#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue

extern	int		Bar		= 0;
extern	color		Colour	= DarkOrange;
string	LabelName,NamaFile;
datetime	iTime,LINETIME;
int handle;
int count;

extern string sFontFace = "Arial";
extern int    iCorner = 0; //0 - for top-left corner, 1 - top-right, 2 - bottom-left, 3 - bottom-right
extern int    iInfoDistanceX = 600;
extern int    iInfoDistanceY = 20;

int init() 
{
    LabelName	= "RDL"+Bar+Colour;
	NamaFile		= "find"+LabelName+Symbol();
	

    
  
   SetIndexStyle(0, DRAW_NONE);
      
   ObjectCreate("count", OBJ_LABEL, 0, 0, 0);
   ObjectSet("count", OBJPROP_CORNER, iCorner);
   ObjectSet("count", OBJPROP_XDISTANCE, iInfoDistanceX);
   ObjectSet("count", OBJPROP_YDISTANCE, iInfoDistanceY);
   ObjectSetText("count", "...", 14, sFontFace, Yellow);


	handle	= FileOpen(NamaFile, FILE_BIN|FILE_READ);
	if(handle>=1)
	{
		LINETIME	= FileReadInteger(handle, LONG_VALUE);
		FileClose(handle);
	}
   else if(LINETIME == 0)
       {
		LINETIME = Time[Bar]; 
		 }
}

int start() 
   {
     
               if(ObjectFind(LabelName) == -1)
	            {
		         ObjectCreate(LabelName, OBJ_VLINE, 0, LINETIME, 0);
		         ObjectSet(LabelName, OBJPROP_COLOR, Colour);
		         ObjectSet(LabelName, OBJPROP_STYLE, STYLE_DOT);
		         ObjectSet(LabelName, OBJPROP_BACK, true);
	            }

	      LINETIME		= ObjectGet(LabelName, OBJPROP_TIME1);
    
      count = 0;  
      for (int i=Bars-1;i>=0;i--) 
        {
          
        count = count + 1;
        if(iTime(NULL,0,0) == LINETIME)
        
        ObjectSetText("count",count,  14, sFontFace, Yellow);
        
        
        }
    return(0);
   }  
    

